local PoleFlag = ...

-- Register all pole flag building parts and their properties
PoleFlag:dofile("building.lua")

-- Register the stone gate set monument
PoleFlag:register({
	DataType = "MONUMENT",
	Id = "POLE_FLAG_MONUMENT",
	Name = "POLE_FLAG_MONUMENT_NAME",
	Description = "POLE_FLAG_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "POLE_FLAG_PARTSETLIST_NAME",
                	BuildingPartList = {
		            "POLE_FLAG_ROOT_PART", -- red by default (for ascending compatibility reason)
		            "POLE_FLAG_BLUE_ROOT_PART",
		            "POLE_FLAG_GREEN_ROOT_PART",
		            "POLE_FLAG_PURPLE_ROOT_PART",
		            "POLE_FLAG_ORANGE_ROOT_PART",
		            "POLE_FLAG_TURQUOISE_ROOT_PART"
	                }
                }
        },
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
	},
        IsEditable = true
})